Package io.strimzi.systemtest.cli

## Class KafkaCmdClient

- java.lang.Object
- - io.strimzi.systemtest.cli.KafkaCmdClient

-     public class KafkaCmdClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaCmdClient()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `createTopicUsingPodCli​(String clusterName, int kafkaPodId, String topic, int replicationFactor, int partitions)` |
    `static String` | `deleteTopicUsingPodCli​(String clusterName, int kafkaPodId, String topic)` |
    `static List<String>` | `describeTopicUsingPodCli​(String clusterName, int kafkaPodId, String topic)` |
    `static List<String>` | `listTopicsUsingPodCli​(String clusterName, int kafkaPodId)` |
    `static String` | `updateTopicPartitionsCountUsingPodCli​(String clusterName, int kafkaPodId, String topic, int partitions)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaCmdClient

          public KafkaCmdClient()

  - ### Method Detail

    - #### listTopicsUsingPodCli

          public static List<String> listTopicsUsingPodCli​(String clusterName,
                                                           int kafkaPodId)

    - #### createTopicUsingPodCli

          public static String createTopicUsingPodCli​(String clusterName,
                                                      int kafkaPodId,
                                                      String topic,
                                                      int replicationFactor,
                                                      int partitions)

    - #### deleteTopicUsingPodCli

          public static String deleteTopicUsingPodCli​(String clusterName,
                                                      int kafkaPodId,
                                                      String topic)

    - #### describeTopicUsingPodCli

          public static List<String> describeTopicUsingPodCli​(String clusterName,
                                                              int kafkaPodId,
                                                              String topic)

    - #### updateTopicPartitionsCountUsingPodCli

          public static String updateTopicPartitionsCountUsingPodCli​(String clusterName,
                                                                     int kafkaPodId,
                                                                     String topic,
                                                                     int partitions)